Subject: Re: [tcpm] new version of 2988bis

From: Yuchung Cheng <[email-masked]>
Date: Mon, 3 Jan 2011 16:56:27 -0800

Hi Per,

The author in [LS00] has a follow-up paper claiming this problem turns
out to be a feature. It might be worthwhile to address this part in
the proposal.

"The peak-hopper: a new end-to-end retransmission timer for reliable
unicast transport"
http://www.ieee-infocom.org/2004/Papers/52_3.PDF

Section II, subsection B. The implicit RTO offset:

In previous work, we had identified this as a “bug” [LS00],
but our analysis in this study has convinced us that this is
actually a feature. This “responsive safety margin”
compensates for the problems explained in the following two
sub-sections, and especially for the sluggish response to delay
spikes often avoids spurious timeouts. It is important to note,
though, that this safety margin does not exist for highly
interactive applications where often only a single packet is in
flight.

On Wed, Dec 22, 2010 at 1:16 AM, Per Hurtig (work) <[email-masked]> wrote:
>
> Hi all,
>
> we have submitted an I-D that summarizes an alternate way to restart
> the TCP/SCTP RTO timer:
>
> http://www.ietf.org/id/draft-hurtig-tcpm-rtorestart-00.txt
>
> The difference between this approach and RFC2988(bis)'s approach is
> the way outstanding segments are
> considered. We're happy to receive any comments on the draft.
>
>
> Regards, Per H
>
>
>
>
> On Tue, Dec 7, 2010 at 04:33, Mark Allman <[email-masked]> wrote:
> >
> > Folks-
> >
> > We posted a new version of the 2988bis I-D today.  It is:
> >
> >  draft-paxson-tcpm-rfc2988bis-01.txt
> >
> > The big change is a new set of empirical results that pertain to
> > dropping the initial RTO from 3sec to 1sec is now given (along with the
> > previous results from Google) in the appendix.  Generally speaking,
> > these results show it is pretty safe to drop the initial RTO.
> >
> > Have a look.  I believe the authors are pretty happy with this document
> > at this point.
> >
> > allman
> >
> >
> >
> >
> >
> > _______________________________________________
> > tcpm mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/tcpm
> >
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm